#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: 999_vbq-network-restart.pl, v1.0.0.0 Thu 02 Apr 2009 04:27:10 AM CEST Exp $
# Copyright 2007-2009 Solarspeed Ltd. All rights reserved.
#
# Script to restart the network during very first startup:

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();

# Restart Network and convert user database on first boot, but not if called through YUM:

# Only run if we're not called through YUM:
if (( !-f "/var/run/yum.pid") && (-f "/tmp/firstboot")) {
    system("/etc/init.d/network reload");
    system("/bin/rm -f /tmp/firstboot");
    #system("/usr/sausalito/handlers/base/user/convert2passwd.sh");
}
if ( -f "/var/run/yum.pid") {
    # If we get here, this is an upgrade and not a first fresh install.
    # So we remove the firstboot indicator:
    system("/bin/rm -f /tmp/firstboot");
}

exit(0);
